/*  tds200mt
 *  Copyright (C) 1999 Alvaro De Amicis
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

#ifndef _TMT_H_
#define _TMT_H_


#define VERSION "0.2"

#define DATA_START        1
#define DATA_STOP         2500
#define DATA_LENGHT       2500
#define BYTES_TO_RECEIVE  2500


typedef struct TDS200WAVEFORM {
	char  WFMPreWFid[128];
	float WFMPreXincr;
	char  WFMPreXunit[3];
	float WFMPreXzero;
	float WFMPreYmult;
	int   WFMPreYoff;
	char  WFMPreYunit[6];
	int   WFMPreYzero;
	unsigned char WFMdata[DATA_LENGHT];
	char  ID[20];
	struct tds200waveform *next;
	struct tds200waveform *prev;
} TdsWave;

typedef enum {
	TMT_CH1,
	TMT_CH2,
	TMT_MATH,
	TMT_REFA,
	TMT_REFB
} Location;

typedef enum {
	TMT_FRTSCTS,
	TMT_FXONXOFF,
	TMT_FNONE
} Flow;

typedef enum {
	TMT_B3,
	TMT_B6,
	TMT_B12,
	TMT_B24,
	TMT_B48,
	TMT_B96,
	TMT_B192
} Bps;

/*     strutture usate nei dialogbox per passare
 *     parametri alle funzioni callback
 */
typedef struct {
	GtkWidget *wnd;
	gpointer   data;
} DialogData;

typedef struct {
	GtkWidget *wnd;
	Location location;
} DialogDataL;

typedef struct {
	gchar device[11];
	Bps   bps;
	Flow  flow;
} CommParam;

typedef enum {
	TMT_GDNONE,
	TMT_GDPOINTS,
	TMT_GDFULL
} GridType;

typedef struct {
	gboolean darkbg;
	gboolean multiwf;
	GridType grid;
} GraphOpts;
	
/* tmt.c prototypes */
int cl_print(char*);
int cl_acquire(Location, char*);
void cl_help(void);
int desctoid (char s[], char id[]);
void delay (int sec);

#endif /* _TMT_H_ */
